-- phpMyAdmin SQL Dump
-- version 4.4.15
-- http://www.phpmyadmin.net
--
-- Хост: localhost
-- Время создания: Дек 18 2015 г., 16:02
-- Версия сервера: 10.0.21-MariaDB-cll-lve
-- Версия PHP: 5.4.45

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- База данных: `for417_b`
--

-- --------------------------------------------------------

--
-- Структура таблицы `audio`
--

CREATE TABLE IF NOT EXISTS `audio` (
  `id` int(10) unsigned NOT NULL,
  `user` int(20) NOT NULL,
  `name` varchar(200) NOT NULL,
  `time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `file` varchar(500) NOT NULL,
  `sounder` varchar(100) NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `audio`
--

INSERT INTO `audio` (`id`, `user`, `name`, `time`, `file`, `sounder`) VALUES
(1, 1, 'У свободы есть душа', '0000-00-00 00:00:00', '/files/audio/basotskiy_zheka-y_svobody_est_dysha.mp3', 'Жека Басотский'),
(2, 1, 'Numb', '2015-12-17 13:48:02', '/files/audio/e47d95491c2d151b7c75ae57df33325c.mp3', 'Linkin Park');

-- --------------------------------------------------------

--
-- Структура таблицы `chat`
--

CREATE TABLE IF NOT EXISTS `chat` (
  `id` int(11) NOT NULL,
  `user` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `text` varchar(500) NOT NULL,
  `room` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `chat_room`
--

CREATE TABLE IF NOT EXISTS `chat_room` (
  `id` int(11) NOT NULL,
  `name` varchar(50) NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `chat_room`
--

INSERT INTO `chat_room` (`id`, `name`) VALUES
(1, 'Кино+ТВ'),
(2, 'Спорт'),
(3, 'Разговоры для взрослых'),
(4, 'Флирт'),
(5, 'Знакомства'),
(6, 'Обо всем и вся'),
(7, 'Для новичков');

-- --------------------------------------------------------

--
-- Структура таблицы `country`
--

CREATE TABLE IF NOT EXISTS `country` (
  `country_id` int(11) unsigned NOT NULL,
  `city_id` int(11) NOT NULL DEFAULT '0',
  `name` varchar(128) NOT NULL DEFAULT ''
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `country`
--

INSERT INTO `country` (`country_id`, `city_id`, `name`) VALUES
(1, 0, 'Россия'),
(2, 0, 'Украина'),
(3, 0, 'Белоруссия'),
(4, 0, 'Узбекистан'),
(5, 0, 'Таджикистан'),
(6, 0, 'Молдавия'),
(7, 0, 'Киргизия'),
(8, 0, 'Казахстан'),
(9, 0, 'Армения'),
(10, 0, 'Азербайджан');

-- --------------------------------------------------------

--
-- Структура таблицы `folowers`
--

CREATE TABLE IF NOT EXISTS `folowers` (
  `id` int(11) NOT NULL,
  `user` int(11) NOT NULL,
  `folower` int(11) NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `friends`
--

CREATE TABLE IF NOT EXISTS `friends` (
  `id` int(11) NOT NULL,
  `user` int(11) NOT NULL,
  `friend` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `group`
--

CREATE TABLE IF NOT EXISTS `group` (
  `id` int(11) NOT NULL,
  `name` varchar(60) NOT NULL,
  `about` varchar(1000) NOT NULL,
  `admin` int(11) NOT NULL,
  `time_creat` int(11) NOT NULL,
  `avatar` varchar(500) NOT NULL DEFAULT '/images/photos/avatar/group.png',
  `stena` set('open','close') NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `group`
--

INSERT INTO `group` (`id`, `name`, `about`, `admin`, `time_creat`, `avatar`, `stena`) VALUES
(1, 'Wea.Su', '', 1, 1450273089, '/images/photos/avatar/group.png', '');

-- --------------------------------------------------------

--
-- Структура таблицы `group_member`
--

CREATE TABLE IF NOT EXISTS `group_member` (
  `id` int(11) NOT NULL,
  `user` int(11) NOT NULL,
  `group` int(11) NOT NULL,
  `type` set('user','moderator','administrator') NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `group_member`
--

INSERT INTO `group_member` (`id`, `user`, `group`, `type`) VALUES
(1, 1, 1, 'administrator');

-- --------------------------------------------------------

--
-- Структура таблицы `kont`
--

CREATE TABLE IF NOT EXISTS `kont` (
  `id_user` int(11) NOT NULL,
  `id_kont` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `new_msg` int(11) NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `kont`
--

INSERT INTO `kont` (`id_user`, `id_kont`, `time`, `new_msg`) VALUES
(1, 13, 1450259975, 0),
(13, 1, 1450259975, 0);

-- --------------------------------------------------------

--
-- Структура таблицы `like`
--

CREATE TABLE IF NOT EXISTS `like` (
  `id` int(11) NOT NULL,
  `object` varchar(100) NOT NULL,
  `user` int(11) NOT NULL,
  `time` int(11) NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `mail`
--

CREATE TABLE IF NOT EXISTS `mail` (
  `id` int(11) NOT NULL,
  `user` int(11) NOT NULL,
  `kont` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `msg` varchar(1024) NOT NULL,
  `read` set('0','1') NOT NULL DEFAULT '0',
  `file` varchar(200) NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `mail`
--

INSERT INTO `mail` (`id`, `user`, `kont`, `time`, `msg`, `read`, `file`) VALUES
(1, 1, 13, 1450259975, ':D', '1', ''),
(2, 13, 1, 1450272677, ':-8', '1', ''),
(3, 13, 1, 1450272679, ':-8', '1', '');

-- --------------------------------------------------------

--
-- Структура таблицы `notification`
--

CREATE TABLE IF NOT EXISTS `notification` (
  `id` int(11) NOT NULL,
  `user` int(11) NOT NULL,
  `text` varchar(500) NOT NULL,
  `read` set('yes','no') NOT NULL DEFAULT 'no'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `photos`
--

CREATE TABLE IF NOT EXISTS `photos` (
  `id` int(11) NOT NULL,
  `user` int(11) NOT NULL,
  `text` varchar(35) NOT NULL,
  `file` varchar(70) NOT NULL,
  `time` int(11) NOT NULL,
  `stena` set('yes','no') NOT NULL DEFAULT 'no'
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `photos`
--

INSERT INTO `photos` (`id`, `user`, `text`, `file`, `time`, `stena`) VALUES
(1, 1, '…', '/images/photos/30732022a6180a928fe35c77e12c8785.gif', 1449870807, 'no');

-- --------------------------------------------------------

--
-- Структура таблицы `photo_com`
--

CREATE TABLE IF NOT EXISTS `photo_com` (
  `id` int(11) NOT NULL,
  `photo` int(11) NOT NULL,
  `text` varchar(350) NOT NULL,
  `who` int(11) NOT NULL,
  `time` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `smile`
--

CREATE TABLE IF NOT EXISTS `smile` (
  `id` int(11) NOT NULL,
  `name` varchar(50) NOT NULL,
  `img` varchar(100) NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `smile`
--

INSERT INTO `smile` (`id`, `name`, `img`) VALUES
(1, ':)', '/images/smile/ul.gif'),
(2, '=]', '/images/smile/eqr.gif'),
(3, ':-8', '/images/smile/poh.gif'),
(4, ':(', '/images/smile/sad.gif'),
(5, ':-/', '/images/smile/hm.gif'),
(6, ':D', '/images/smile/biggrin.gif'),
(7, ':]]', '/images/smile/dovolen.gif'),
(8, ':p', '/images/smile/tongue.gif');

-- --------------------------------------------------------

--
-- Структура таблицы `stena`
--

CREATE TABLE IF NOT EXISTS `stena` (
  `id` int(11) NOT NULL,
  `text` varchar(500) NOT NULL,
  `user` int(11) NOT NULL,
  `who` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `group` int(11) NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=16 DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `id` int(11) NOT NULL,
  `name` varchar(50) NOT NULL,
  `family` varchar(50) NOT NULL,
  `password` varchar(50) NOT NULL,
  `code` int(11) NOT NULL,
  `sex` set('men','women') NOT NULL,
  `reg` int(11) NOT NULL,
  `online` int(11) NOT NULL,
  `max` int(11) NOT NULL DEFAULT '10',
  `role` set('0','1','2','3') NOT NULL DEFAULT '0',
  `status` varchar(100) NOT NULL,
  `sp` varchar(50) NOT NULL,
  `country` varchar(50) NOT NULL,
  `city` varchar(50) NOT NULL,
  `avatar` varchar(200) NOT NULL DEFAULT '/images/photos/avatar/not.png',
  `urlank` varchar(30) NOT NULL,
  `delo` varchar(200) NOT NULL,
  `interes` varchar(200) NOT NULL,
  `lmusic` varchar(200) NOT NULL,
  `lfilm` varchar(200) NOT NULL,
  `lgame` varchar(200) NOT NULL,
  `lq` varchar(200) NOT NULL,
  `osebe` varchar(200) NOT NULL,
  `nf` varchar(200) NOT NULL,
  `money` int(11) NOT NULL DEFAULT '0',
  `bithday` varchar(50) NOT NULL,
  `verf` set('yes','no') NOT NULL DEFAULT 'no',
  `vkid` int(15) NOT NULL,
  `ua` varchar(100) NOT NULL,
  `email` varchar(80) NOT NULL,
  `token` varchar(200) NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=15 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `users`
--

INSERT INTO `users` (`id`, `name`, `family`, `password`, `code`, `sex`, `reg`, `online`, `max`, `role`, `status`, `sp`, `country`, `city`, `avatar`, `urlank`, `delo`, `interes`, `lmusic`, `lfilm`, `lgame`, `lq`, `osebe`, `nf`, `money`, `bithday`, `verf`, `vkid`, `ua`, `email`, `token`) VALUES
(1, 'Евгений', 'Андреев', '402cac3dacf2ef35050ca72743ae6ca7', 0, 'men', 1449870584, 1450442424, 10, '0', 'Тест', 'Не женат', 'Россия', 'Екатеринбург', '/images/photos/30732022a6180a928fe35c77e12c8785.gif', '', '', '', '', 'Комедии', '', '', '', 'Евгений Андреев', 0, '1997-12-22', 'yes', 255952369, '0', '255952369', 'afb5038b1f94a3d64d1b4ad7d914bf60'),
(13, 'Маским', 'Иванов', '31624969a18b194b502ea96f0705e41c', 0, 'men', 1450245518, 1450361571, 10, '0', 'Тест', 'Не женат', 'Россия', 'Екатеренбург', '/images/photos/avatar/not.png', '', '', '', '', '', '', '', '', 'Маским Иванов', 0, '1997-12-22', 'no', 0, '0', 'forevil@list.ru', 'Ghjjifddsyuh57fhhu');

--
-- Индексы сохранённых таблиц
--

--
-- Индексы таблицы `audio`
--
ALTER TABLE `audio`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `chat`
--
ALTER TABLE `chat`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `chat_room`
--
ALTER TABLE `chat_room`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `country`
--
ALTER TABLE `country`
  ADD PRIMARY KEY (`country_id`),
  ADD KEY `city_id` (`city_id`);

--
-- Индексы таблицы `folowers`
--
ALTER TABLE `folowers`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `friends`
--
ALTER TABLE `friends`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `group`
--
ALTER TABLE `group`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `group_member`
--
ALTER TABLE `group_member`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `kont`
--
ALTER TABLE `kont`
  ADD UNIQUE KEY `id_user` (`id_user`,`id_kont`),
  ADD KEY `time` (`time`);

--
-- Индексы таблицы `like`
--
ALTER TABLE `like`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `mail`
--
ALTER TABLE `mail`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id_user` (`user`,`kont`),
  ADD KEY `read` (`read`);

--
-- Индексы таблицы `notification`
--
ALTER TABLE `notification`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `photos`
--
ALTER TABLE `photos`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `photo_com`
--
ALTER TABLE `photo_com`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `smile`
--
ALTER TABLE `smile`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `stena`
--
ALTER TABLE `stena`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT для сохранённых таблиц
--

--
-- AUTO_INCREMENT для таблицы `audio`
--
ALTER TABLE `audio`
  MODIFY `id` int(10) unsigned NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=3;
--
-- AUTO_INCREMENT для таблицы `chat`
--
ALTER TABLE `chat`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `chat_room`
--
ALTER TABLE `chat_room`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=8;
--
-- AUTO_INCREMENT для таблицы `country`
--
ALTER TABLE `country`
  MODIFY `country_id` int(11) unsigned NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=11;
--
-- AUTO_INCREMENT для таблицы `folowers`
--
ALTER TABLE `folowers`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=2;
--
-- AUTO_INCREMENT для таблицы `friends`
--
ALTER TABLE `friends`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `group`
--
ALTER TABLE `group`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=2;
--
-- AUTO_INCREMENT для таблицы `group_member`
--
ALTER TABLE `group_member`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=2;
--
-- AUTO_INCREMENT для таблицы `like`
--
ALTER TABLE `like`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=3;
--
-- AUTO_INCREMENT для таблицы `mail`
--
ALTER TABLE `mail`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=4;
--
-- AUTO_INCREMENT для таблицы `notification`
--
ALTER TABLE `notification`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `photos`
--
ALTER TABLE `photos`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=2;
--
-- AUTO_INCREMENT для таблицы `photo_com`
--
ALTER TABLE `photo_com`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `smile`
--
ALTER TABLE `smile`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=9;
--
-- AUTO_INCREMENT для таблицы `stena`
--
ALTER TABLE `stena`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=16;
--
-- AUTO_INCREMENT для таблицы `users`
--
ALTER TABLE `users`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=15;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
