<?php
require ('../core/system.php');
  Tpl :: Head('Фотографии');
if(!isset($user)){
header('Location: /');
exit;
}
switch($_GET['act']){
default;
$id = abs(intval($_GET['id']));
$us = $db->prepare('SELECT * FROM `users` WHERE `id` = ?');
$us -> execute([$id]);
$us = $us -> fetch(PDO :: FETCH_ASSOC);
if(!isset($us['id'])){
header('Location: /photos/my/');
exit;
}
$k_post = $db->prepare('SELECT * FROM `photos` WHERE `user` = ?');
$k_post -> execute([$us['id']]);
$k_post = $k_post -> rowCount();
if($k_post == 0){
?><div class="text"> Нет фотографий</div><?
}
else
{
$max = 10;
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$all = $db->prepare("SELECT * FROM `photos` WHERE `user` = ? ORDER BY `id` DESC LIMIT $start, $max");
$all -> execute([$us['id']]);
$all = $all -> fetchAll();
foreach($all as $photo){
?><div class="menu"><center><a href="/photos/view/<?=$photo['id'];?>/"> <img src="<?=$photo['file'];?>" width="150"></a></center></div><?
}
}
if($k_page >1){
echo str('/photos/'.$id.'',$k_page,$page);
}
break;
case 'my':
$k_post = $db->prepare('SELECT * FROM `photos` WHERE `user` = ?');
$k_post -> execute([$user['id']]);
$k_post = $k_post -> rowCount();
if($k_post == 0){
?><div class="text"> Нет фотографий</div><?
}
else
{
$max = 10;
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$all = $db->prepare("SELECT * FROM `photos` WHERE `user` = ? ORDER BY `id` DESC LIMIT $start, $max");
$all -> execute([$user['id']]);
$all = $all -> fetchAll();
foreach($all as $photo){
?><div class="menu"><center><a href="/photos/view/<?=$photo['id'];?>/"> <img src="<?=$photo['file'];?>" width="150"></a></center></div><?
}
}
?><a href="/photos/upload" class="menu"> Загрузить фото</a><?
if($k_page >1){
echo str('/photos/my',$k_page,$page);
}
break;
case 'upload':
if(isset($_POST['text'])){
$text = htmlspecialchars(trim($_POST['text']));
if(empty($text)){
$_SESSION['message'] = 'Введите описание фото';
header('Location: /photos/upload');
exit;
}
$size = abs(intval($_FILES['photo']['size']));
if(!@file_exists($_FILES['photo']['tmp_name'])){
$_SESSION['message'] = 'Вы не выбрали файл!';
header('Location: /photos/upload');
exit;
}
if ($size > (1048576 * 5)){
$_SESSION['message'] = 'Максимальный размер фото 5 мб.';
header('Location: /photos/upload');
exit;
}
$upfiletype = substr($_FILES['photo']['name'],  strrpos( $_FILES['photo']['name'], ".")+1); 
if(!in_array($upfiletype,array('jpg','gif','png','jpeg','bmp'))){
$_SESSION['message'] = 'К загрузке разрешены файлы форматом JPG,GIF,PNG,JPEG,BMP!';
header('Location: /photos/upload');
exit;
}
$file = md5('photo_'.rand(1111,9999).'_'.$user['id']);
$file_dir = '/images/photos/'.$file.'.gif';
$sql = $db->prepare('INSERT INTO `photos` (`text`,`user`,`file`,`time`) VALUES (?,?,?,?)');
$sql -> execute([$text,$user['id'],$file_dir,time()]);
if($stena == 'yes'){
$msg = '[img]'.$file_dir.'[/img]';
$add = $db->prepare('INSERT INTO `stena` (`user`,`who`,`text`,`time`) VALUES (?,?,?,?)');
$add -> execute([$user['id'],$user['id'],$msg,time()]);
}
move_uploaded_file($_FILES['photo']['tmp_name'], "../images/photos/".$file.".gif"); 
header('Location: /photos/my/');
exit;
}
?>
<script type="text/javascript">  
$(document).ready(function(){ 
  $("#load").click(function(){
  $(this).button('loading').delay(1000).queue(function(){
      $(this).dequeue();
    });        
  });
});   
</script>
<form class="menu" action="" method="post" enctype="multipart/form-data"> Описание: </br><textarea name="text"></textarea></br>
Выберите фото:<br><input type="file" accept= "image/*" id="exampleInputFile" id="load" name="photo"/><br>   
<input type="submit" value="Загрузить"></form><?
break;
case 'photo':
$id = abs(intval($_GET['id']));
$photo = $db->prepare('SELECT * FROM `photos` WHERE `id` = ?');
$photo -> execute([$id]);
$photo = $photo -> fetch(PDO :: FETCH_ASSOC);
if(!isset($photo['id'])){
header('Location: /');
exit;
}
$us = $db->prepare('SELECT * FROM `users` WHERE `id` = ?');
$us -> execute([$photo['user']]);
$us = $us -> fetch(PDO :: FETCH_ASSOC);
?><div class="menu"><center><a href="<?=$photo['file'];?>"><img src="<?=$photo['file'];?>" width="200"></a></center></div>
<?
$galary = $db->prepare('SELECT * FROM `photos` WHERE `user` = ? and `id` != ? ORDER BY `id` DESC LIMIT 3');
$galary -> execute([$photo['user'],$photo['id']]);
$galary = $galary -> fetchAll();
if(is_array($galary)){
?><div class="text"><center><?
foreach($galary as $var){
?><a href="/photos/view/<?=$var['id'];?>"><img src="<?=$var['file'];?>" width="50"/></a> <?
}
}
?>
 </center></div>
<div class="razd"> Информация</div>
<div class="menu">
Описание: <?=$photo['text'];?></br>
Отправитель: <a href="/id<?=$us['id'];?>"> <?=$us['name'];?> <?=$us['family'];?></a></br>
Добавлена: <?=vremja($photo['time']);?><?
$k_like = $db->prepare('SELECT * FROM `like` WHERE `object` = ?');
$object = 'photo'.$photo['id'];
$k_like -> execute([$object]);
$k_like = $k_like -> rowCount();
   Tag :: ajaxSend('photos/view/'.$photo['id'].'/like','GET');
?><a href="#" onclick="call()" class="wrap"> <img src="/images/icon/like.png"> <?=$k_like;?></a>
</br>
<?if($user['id'] == $us['id'] and $user['avatar'] != $photo['file']){
?><a href="/photos/view/<?=$photo['id'];?>/avatar/"> Установить на аватар</a></br>
<?
}
if($photo['user'] == $user['id']){
?><a href="/photos/view/<?=$photo['id'];?>/delete/"> Удалить</a></br><?
}
?>
<a href="<?=$photo['file'];?>"> Загрузить оригинал</a></div>
<?
$k_post = $db->prepare('SELECT * FROM `photo_com` WHERE `photo` = ?');
$k_post -> execute([$photo['id']]);
$k_post = $k_post -> rowCount();
?><div class="razd">Комментарии</div><form class="menu" action="" method="post"><textarea name="text"> </textarea> </br><input type="submit"></form><?
if(isset($_POST['text'])){
$text = htmlspecialchars(trim($_POST['text']));
if(empty($text)){
header('Location: /photos/view/'.$id);
exit;
}
$add = $db->prepare('INSERT INTO `photo_com` (`photo`,`who`,`text`,`time`) VALUES (?,?,?,?)');
$add -> execute([$photo['id'],$user['id'],$text,time()]);
header('Location: /photos/view/'.$id);
exit;
}
if($k_post == 0){
?><div class="text"><center>Пусто</center></div><?
}
$max = 10;
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$all = $db->prepare("SELECT * FROM `photo_com` WHERE `photo` = ? ORDER BY `id` DESC LIMIT $start, $max");
$all -> execute([$photo['id']]);
$all = $all -> fetchAll();
foreach($all as $row){
$avtor = $db->prepare('SELECT * FROM `users` WHERE `id` = ?');
$avtor -> execute([$row['who']]);
$avtor = $avtor -> fetch(PDO :: FETCH_ASSOC);
?><div class="menu"><img src="<?=$avtor['avatar'];?>" width="30" height="30" style="float:left;"> <a href="/id<?=$avtor['id'];?>" style="margin-left:10px;">  <b><?=$avtor['name'];?> <?=$avtor['family'];?></br> <font color="grey" style="margin-left:10px;"> <?=vremja($row['time']);?></font> </b></a></br><?=bb(nl2br($row['text']));?></div>
<?
}
if($k_page >1){
echo str('/photos/view/'.$id.'',$k_page,$page);
}
break;
case 'like':
$id = abs(intval($_GET['id']));
$photo = $db->prepare('SELECT * FROM `photos` WHERE `id` = ?');
$photo -> execute([$id]);
$photo = $photo -> fetch(PDO :: FETCH_ASSOC);
if(!isset($photo['id'])){
header('Location: /');
exit;
}
$object = 'photo'.$photo['id'];
$like = $db->prepare('SELECT * FROM `like` WHERE `object` = ? and `user` = ?');
$like -> execute([$object,$user['id']]);
$like = $like -> rowCount();
if($like == 0){
$add = $db->prepare('INSERT INTO `like` (`user`,`object`,`time`) VALUES (?,?,?)');
$add -> execute([$user['id'],$object,time()]);
header('Location: /photos/view/'.$photo['id'].'/');
exit;
}else{
$del = $db->prepare('DELETE FROM `like` WHERE `object` = ? and user = ?');
$del -> execute([$object,$user['id']]);
header('Location: /photos/view/'.$photo['id'].'/');
exit;
}
break;
case 'avatar':
$id = abs(intval($_GET['id']));
$photo = $db->prepare('SELECT * FROM `photos` WHERE `id` = ?');
$photo -> execute([$id]);
$photo = $photo -> fetch(PDO :: FETCH_ASSOC);
if(!isset($photo['id']) || $photo['user'] != $user['id']){
header('Location: /');
exit;
}
$install = $db->prepare('UPDATE `users` SET `avatar` = ? WHERE `id` = ?');
$install -> execute([$photo['file'],$user['id']]);
header('Location: /photos/view/'.$id);
exit;
break;
case 'delete':
$id = abs(intval($_GET['id']));
$photo = $db->prepare('SELECT * FROM `photos` WHERE `id` = ?');
$photo -> execute([$id]);
$photo = $photo -> fetch(PDO :: FETCH_ASSOC);
if(!isset($photo['id']) || $photo['user'] != $user['id']){
header('Location: /');
exit;
}
if($user['avatar'] == $photo['file']){
$drop = $db->prepare('update `users` set `avatar` = ? where `id` = ?');
$drop -> execute(['/images/photos/avatar/not.png',$user['id']]);
}
unlink('../'.$photo['file']);
$del_com = $db->prepare('delete from photo_com where photo=?');
$del_com -> execute([$id]);
$del_like = $db->prepare('delete  from like where object=?');
$object = 'photo'.$photo['id'];
$del_like -> execute([$object]);
$del = $db->prepare('delete from photos where id=?');
$del -> execute([$id]);
header('Location: /photos');
exit;
break;
}
   Tpl :: Foot();
?>
