<?php
/*
* Автор: Евгений
* http://bymas.ru/id17706
*/
require ('../core/system.php');
     Tpl :: Head('Регистрация');
if(isset($user['id'])){
header('Location: /');
exit;
}
if(isset($_POST['name'])){
$name = htmlspecialchars(trim(ucfirst(strtolower($_POST['name']))));
$family = htmlspecialchars(trim(ucfirst(strtolower($_POST['family']))));
$password = htmlspecialchars(trim($_POST['password']));
$sex = htmlspecialchars($_POST['sex']);
$email = htmlspecialchars(trim($_POST['email']));
$em = $db->prepare("SELECT * FROM `users` WHERE `email` = ?");
$em -> execute([$email]);
$em = $em->rowCount();
if(mb_strlen($name) < 3 || mb_strlen($name) > 28){
$_SESSION['message'] = 'Длина имени должна быть от 3 до 15 символов';
header('Location: /registration');
exit;
}
if(mb_strlen($family) < 3 || mb_strlen($family) > 25){
$_SESSION['message'] = 'Длина фамилии должна быть от 3 до 18 символов';
header('Location: /registration');
exit;
}
if($em > 0){
$_SESSION['message'] = 'Пользователь с таким E-Mail уже зарегестрирован';
header('Location: /registration');
exit;
}
  if(!preg_match('/[0-9a-z_\-]+@[0-9a-z_\-^\.]+\.[a-z]{2,6}/i' , $email)){ 
$_SESSION['message'] = 'Неверный формат E-Mail';
header('Location: /registration');
exit;
}

if(mb_strlen($password) < 5 || mb_strlen($password) > 20){
$_SESSION['message'] = 'Длина пароля должна быть от 5 до 20 символов';
header('Location: /registration');
exit;
}
$code = rand(11111,99999);
$mail = ' Здравствуйте!
Вы успешно прошли регистрацию на ресурсе '.URL.'
Данные для входа:
E-mail: '.$email.'
Пароль: '.$password.'
Для активации аккаунта введите код '.$code.' на главной странце сайта
С ув. администрация '.URL;
$my = 'no-reply@'.URL;
$add = "From: <".$my.">\r\n" ;
$add .= "Content-Type: text/plain; charset=\"utf-8\"\r\n";
mail($email, URL,$mail,$add);
$nf = $name.' '.$family;
     $token = TokenGen($name);
$sql = $db->prepare('INSERT INTO `users` (`name`,`family`,`email`,`password`,`code`,`reg`,`sex`,`nf`,`token`) VALUES (?,?,?,?,?,?,?,?,?)');
$sql -> execute([$name,$family,$email,md5($password),$code,time(),$sex,$nf,$token]);
$id = $db->lastInsertId();
setcookie('id', $id, time()+86400*365, '/');
setcookie('token', $token, time()+86400*365, '/');
header('Location: /');
exit;
}
?><div class="text">Регистрация</div>
<form class="text" action="" method="post"> Имя [3-15]:</br><input type="text" name="name" maxlength="15" title="Ваше имя" required> </br>Фамилия [3-18]:</br><input type="text" name="family" maxlength="18" title="Ваша фамилия" required></br> Пароль [5-20]</br><input type="text" name="password" maxlength="20" title="Пароль" required></br> Ваш пол:<br /><select name="sex"><option value="men">Мужской</option><option value="women">Женский</option></select><br/> E-Mail:<br/><input type="email" name="email" title="Ваш E-Mial" value="" required><br/> <input type="submit" value="Регистрация"></form></div><div class="text">* На E-Mail будет отправлено сообщение с кодом потверждения </div><?
     Tpl :: Foot();
?>